# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`coturn`](#coturn): main configuration class for coturn
* [`coturn::service`](#coturnservice): Installs services coturn

## Classes

### <a name="coturn"></a>`coturn`

Main class to configure coturn

#### Parameters

The following parameters are available in the `coturn` class:

* [`config_file`](#config_file)
* [`mode`](#mode)
* [`owner`](#owner)
* [`group`](#group)
* [`package_name`](#package_name)
* [`use_auth_secret`](#use_auth_secret)
* [`no_stdout_log`](#no_stdout_log)
* [`syslog`](#syslog)
* [`simple_log`](#simple_log)
* [`verbose`](#verbose)
* [`extra_verbose`](#extra_verbose)
* [`log_file`](#log_file)
* [`static_auth_secret`](#static_auth_secret)
* [`realm`](#realm)

##### <a name="config_file"></a>`config_file`

Data type: `String`

the coturn configuration file

Default value: `'/etc/turnserver.conf'`

##### <a name="mode"></a>`mode`

Data type: `String`

mode to use for coturn config file

Default value: `'0644'`

##### <a name="owner"></a>`owner`

Data type: `String`

owner of coturn config file

Default value: `'root'`

##### <a name="group"></a>`group`

Data type: `String`

group of the coturn config file

Default value: `'root'`

##### <a name="package_name"></a>`package_name`

Data type: `String`

package to install

Default value: `'coturn'`

##### <a name="use_auth_secret"></a>`use_auth_secret`

Data type: `Boolean`

enable use-auth-secret

Default value: ``false``

##### <a name="no_stdout_log"></a>`no_stdout_log`

Data type: `Boolean`

Flag to prevent stdout log messages

Default value: ``false``

##### <a name="syslog"></a>`syslog`

Data type: `Boolean`

redirect all log output into system log (syslog)

Default value: ``false``

##### <a name="simple_log"></a>`simple_log`

Data type: `Boolean`

if true, no log file rollover will be used

Default value: ``false``

##### <a name="verbose"></a>`verbose`

Data type: `Boolean`

if true, enables verbose mode

Default value: ``false``

##### <a name="extra_verbose"></a>`extra_verbose`

Data type: `Boolean`

if true, enables Verbose mode (extra verbose)

Default value: ``false``

##### <a name="log_file"></a>`log_file`

Data type: `Optional[String]`

Option to set the log file path

Default value: ``undef``

##### <a name="static_auth_secret"></a>`static_auth_secret`

Data type: `Optional[String]`

'Static' authentication secret value

Default value: ``undef``

##### <a name="realm"></a>`realm`

Data type: `Optional[String]`

the default realm to be used

Default value: ``undef``

### <a name="coturnservice"></a>`coturn::service`

coturn::service

#### Parameters

The following parameters are available in the `coturn::service` class:

* [`service_name`](#service_name)
* [`service_ensure`](#service_ensure)
* [`service_enable`](#service_enable)
* [`enable_turnserver`](#enable_turnserver)
* [`default_file`](#default_file)
* [`daemon_args`](#daemon_args)

##### <a name="service_name"></a>`service_name`

Data type: `String`

Service name for coturn.

Default value: `'coturn'`

##### <a name="service_ensure"></a>`service_ensure`

Data type: `String`

Whether the service should be running.
Defaults to 'running'

Default value: `'running'`

##### <a name="service_enable"></a>`service_enable`

Data type: `Boolean`

Whether the service should be enabled.
Defaults to true

Default value: ``true``

##### <a name="enable_turnserver"></a>`enable_turnserver`

Data type: `Boolean`

do we enable coturn in the default_file ?
set to false to disable.

Default value: ``true``

##### <a name="default_file"></a>`default_file`

Data type: `Optional[String]`

use a file in /etc/default to enable server.
this is the filename with path.

Default value: ``undef``

##### <a name="daemon_args"></a>`daemon_args`

Data type: `Optional[String]`

if default_file is set, this parameter can be
used to set the startup options (DAEMON_ARGS) there.
if set to 'absent', the option will be deleted.

Default value: ``undef``

